summarylogtreecommitdiffstats
path: root/fontastic.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-14 15:02:29 +0800
committerzxp198210052024-03-14 15:02:29 +0800
commit213c9da187cb5af80b69c9b48ef41053295402d3 (patch)
tree50b9ee1cd6c040fd39dffd46431abbdff67b67e8 /fontastic.sh
parent564f12fcdc5e094ae1c2f4bf257d213f907dd70f (diff)
downloadaur-213c9da187cb5af80b69c9b48ef41053295402d3.tar.gz
fix errors
Diffstat (limited to 'fontastic.sh')
-rw-r--r--fontastic.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/fontastic.sh b/fontastic.sh
index e6784b369c25..7ddcaab8d734 100644
--- a/fontastic.sh
+++ b/fontastic.sh
@@ -1,7 +1,8 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file